Package net.shibboleth.idp.profile.impl

# Class ReloadServiceConfiguration.WebFlowApplicationContextLookupStrategy

java.lang.Object
net.shibboleth.idp.profile.impl.ReloadServiceConfiguration.WebFlowApplicationContextLookupStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,ReloadableService<?>>`

Enclosing class:
  ReloadServiceConfiguration

private final class ReloadServiceConfiguration.WebFlowApplicationContextLookupStrategy extends Object implements Function<ProfileRequestContext,ReloadableService<?>>
Default strategy locates a bean identified with a flow-scope parameter in the web flow application context.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WebFlowApplicationContextLookupStrategy()`

## Method Summary

Modifier and Type
Method
Description
`ReloadableService<?>`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### WebFlowApplicationContextLookupStrategy

private WebFlowApplicationContextLookupStrategy()

## Method Details

### apply

@Nullable public ReloadableService<?> apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,ReloadableService<?>>`